package net.wanji.databus.bo;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class CrossIdAndStartEndDateBO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "开始日期 yyyy-MM-dd HH:mm:ss")
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date startDate;

    @ApiModelProperty(value = "结束日期 yyyy-MM-dd HH:mm:ss")
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date endDate;
}
